// Example of Bug #1071
#include <iostream>
#include <gdal_priv.h>

int main(int argc, char* argv[])
{
	using std::cout;
	using std::endl;

	if (argc != 2)
	{
		cout << "Please give a single filename to open" << endl;
		exit(0);
	}

	// Quick and dirty example. No error checking whatsoever.
	GDALAllRegister();

	GDALDataset* poDS = (GDALDataset *) GDALOpen(argv[1], GA_Update );
	if (0 == poDS)
	{
		cout << "Can't open " << argv[1] << " dataset." << endl;
		exit(0);
	}

	GDALRasterBand* poBand = poDS->GetRasterBand(1);

	int bGotMin, bGotMax;
	double adfMinMax[2] = { 0 };
	adfMinMax[0] = poBand->GetMinimum( &bGotMin );
    adfMinMax[1] = poBand->GetMaximum( &bGotMax );
	
    if (!(bGotMin && bGotMax) )
	{
       GDALComputeRasterMinMax((GDALRasterBandH)poBand, FALSE, adfMinMax);
	}

	cout << "Min: " << adfMinMax[0] << endl;
	cout << "Max: " << adfMinMax[1] << endl;

	delete poDS;

	return 0;
}

